Bug 1028044 - Hard-coded modeshape repository name for SRAMP
Hard-coded modeshape repository name for SRAMP
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 09:33 EST by Stefan Bunciak
Modified: 2014-02-06 10:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-11-07 09:33:43 EST
Description of problem:

This name can be actually changed in standalone.xml: 

<subsystem xmlns="urn:jboss:domain:modeshape:1.0">
            <repository name="sramp_test" cache-name="sramp" cache-container="modeshape" security-domain="overlord-idp" anonymous-roles="readonly"/>
</subsystem>

but it's hard-coded in ModeshapeRepository.java so sramp should provide some way (e.g. property) to specify a different name.

Version-Release number of selected component (if applicable):
* 6.0.0.ER6 (Beta)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

15:27:08,315 ERROR [org.overlord.sramp.server.atom.services.AbstractFeedResource] (http-localhost.localdomain/127.0.0.1:8080-2) !!Error trying to create an Artifact Feed.!!: org.overlord.sramp.repository.query.QueryExecutionException: javax.jcr.RepositoryException: jcr
Comment 2 Eric Wittmann 2013-11-07 11:02:53 EST
Done.  There is now a property that controls this:

  sramp.config.jcr.repository.jndi-path

This property has a default value of:

  jcr/sramp

The property can be set in this file:

  standalone/configuration/sramp.properties
Comment 3 Stefan Bunciak 2013-12-12 09:51:02 EST
Verified in FSW 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.